gazelle-installer (24.09.01mx23) mx; urgency=medium

  * Set default domain name file

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Sep 2024 17:06:15 -0400

gazelle-installer (24.05.01mx23) mx; urgency=medium

  * Fix: turn except=false to ignore grep test fail

 -- Adrian <adrian@mxlinux.org>  Sat, 18 May 2024 13:27:14 -0400

gazelle-installer (24.05mx23) mx; urgency=medium

  * Fix: use zeros if blkdiscard fails

 -- Adrian <adrian@mxlinux.org>  Tue, 14 May 2024 20:42:56 -0400

gazelle-installer (24.04.03mx23) mx; urgency=medium

  *  Fixed: live check

 -- Adrian <adrian@mxlinux.org>  Sat, 13 Apr 2024 18:06:50 -0400

gazelle-installer (24.04.02mx23) mx; urgency=medium

  * Fixed random chroot environment when compiled with Qt 6.
  * Fixed: advanced columns start with zero size.
  * Mark advanced columns in italic.

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Apr 2024 22:11:34 -0400

gazelle-installer (24.04.01mx23) mx; urgency=medium

  * replace oobe.sh script into usr/bin

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 31 Mar 2024 17:18:26 -0400

gazelle-installer (24.03.04mx23) mx; urgency=medium

  * Load tip text only when the progress bar moves enough for a new tip.
  * Only beg for support once, not three times.
  * Improved help text sequencing for the splash screen.
  * Code improvements and some cleanup. 

 -- Adrian <adrian@mxlinux.org>  Sun, 31 Mar 2024 11:49:03 -0400

gazelle-installer (24.03.03mx23) mx; urgency=medium

  * Throbber enhanced noticeably.

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Mar 2024 17:57:33 -0400

gazelle-installer (24.03.02mx23) mx; urgency=medium

  * fix typo in oobe init.d script

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 10 Mar 2024 23:50:14 -0400

gazelle-installer (24.03.01mx23) mx; urgency=medium

  * swap file fstab line fixes
  * in oem mode, start mx-locale if it exists to choose lang before oobe starts

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 02 Mar 2024 13:50:53 -0500

gazelle-installer (24.01.02mx23) mx; urgency=medium

  * ensure btrfs designation shows up in fstab when reusing partition
  * when using preserve, ignore /swap folder if it exists

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 28 Jan 2024 19:13:53 -0500

gazelle-installer (24.01.01mx23) mx; urgency=medium

  * ignore certain folders if they doesn't exist (toram fix)
  * show/hide button for advanced parition options

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 20 Jan 2024 23:12:39 -0500

gazelle-installer (23.12.04mx23) mx; urgency=medium

  * fix typo

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 28 Dec 2023 20:41:06 -0500

gazelle-installer (23.12.03mx23) mx; urgency=medium

  * ensure unique machine-id on oobe setups from images 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 25 Dec 2023 18:53:30 -0500

gazelle-installer (23.12.02mx23) mx; urgency=medium

  * use blkid -p instead of lsblk for fallback UUID harvest
  * remove autofill of ESP (mitigates btrfs add subvolume bug)
  * update translations
  * Encryption settings (password) moved into separate page.
  * Volume flags are now selected in the list instead of context menu.

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 24 Dec 2023 16:10:13 -0500

gazelle-installer (23.12.01mx23) mx; urgency=medium

  * ui adjustments (ak-47)
  * set /etc/papersize (dolphinoracle)
  * adjustments to oobe to deal with pi first starts
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 13 Dec 2023 19:30:27 -0500

gazelle-installer (23.11.01mx23) mx; urgency=medium

  * adjust oobe to not use full screen

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 18 Nov 2023 22:04:55 -0500

gazelle-installer (23.10.08mx23) mx; urgency=medium

  * wait for UUID information in fallback before trying to use it

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 16 Nov 2023 18:05:42 -0500

gazelle-installer (23.10.07mx23) mx; urgency=medium

  * fix UUID fallback mode in makeFstab (again)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 13 Nov 2023 18:26:08 -0500

gazelle-installer (23.10.06mx23) mx; urgency=medium

  * modify hosts on 127.0.1.1 as well (pi oobe)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 10 Nov 2023 19:13:22 -0500

gazelle-installer (23.10.05mx23) mx; urgency=medium

  * fix UUID fallback mode, wait for output in makeFstab
  * use lsbk again

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 02 Nov 2023 12:03:58 -0400

gazelle-installer (23.10.04mx23) mx; urgency=medium

  * fix fallback lsblk mode in makefstab

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 30 Oct 2023 18:05:03 -0400

gazelle-installer (23.10.03mx23) mx; urgency=medium

  * modify control file, arch specific depends changes

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 28 Oct 2023 14:45:58 -0400

gazelle-installer (23.10.02mx23) mx; urgency=medium

  * Add backup code for writing correct UUID for Btrfs partitions

 -- Adrian <adrian@mxlinux.org>  Thu, 12 Oct 2023 18:53:38 -0400

gazelle-installer (23.10.01mx23) mx; urgency=medium

  * Use UUID for resume of the opened luks-partition and Remove leftover resume parameter from grub and kernel commandline 

 -- Adrian <adrian@mxlinux.org>  Sun, 08 Oct 2023 14:38:08 -0400

gazelle-installer (23.10mx23) mx; urgency=medium

  * Fix: enable services in oobe

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Oct 2023 17:50:35 -0400

gazelle-installer (23.9mx23) mx; urgency=medium

  * Make 6 column fstab entry for swap

 -- Adrian <adrian@mxlinux.org>  Sun, 17 Sep 2023 21:25:07 -0400

gazelle-installer (23.8.01mx23) mx; urgency=medium

  * Remove LUKS compatibility setting.
  * Make "ESP" and "/boot/efi" distinguishable uses.
  * Configuration files can now be created under pretend mode.
  * Progress for pretend mode no longer determined by a timer.
  * Fixed: cannot abort install with a bad SMART check. 

 -- Adrian <adrian@mxlinux.org>  Sat, 05 Aug 2023 18:17:54 -0400

gazelle-installer (23.8mx23) mx; urgency=medium

  * Release and Debug build configurations.
  * Enable link-time optimisations.
  * Installer can now be compiled for Qt 6.
  * Fixed: MD5 checks not saved in minstall.log file.

 -- Adrian <adrian@mxlinux.org>  Tue, 01 Aug 2023 19:36:45 -0400

gazelle-installer (23.7.14mx23) mx; urgency=medium

  * Fixed: no resume UUID when the swap file is on a BTRFS subvolume.
  * Fixed swap partition fstab format.
  * Fixed: "noatime" added to preserved swap partitions.
  * Fixed: pass and dump value added to swap partitions.
  * Updated translations.

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 27 Jul 2023 21:06:53 -0400

gazelle-installer (23.7.13mx23) mx; urgency=medium

  * update language processing
  * update translations
  * additional information in virtual device tooltips

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Jul 2023 16:20:43 -0400

gazelle-installer (23.7.12mx23) mx; urgency=medium

  * Fixed:  fstab creation with btrfs

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Jul 2023 01:18:22 -0400

gazelle-installer (23.7.11mx23) mx; urgency=medium

  * Fixed: unable to distinguish between drive and partition in config file.

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 19:16:08 -0400

gazelle-installer (23.7.10mx23) mx; urgency=medium

  * Configuration file fixes.
  * Wipe the old partition with blkdiscard before setting BIOS-GRUB flag.
  * Fixed: invalid config warning at swap size despite being acceptable.
  * Fixed: /boot/efi destroyed when preserving /home on root file system.
  * Live log scrolling is now only active when the bar is at the bottom.
  * Fixed minstall-launcher auto-mount routines.
  * Fixed minstall-launcher $XDG_RUNTIME_DIR errors. 

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 11:30:30 -0400

gazelle-installer (23.7.09mx23) mx; urgency=medium

  * Only probe modified drives for partition changes.
  * Reduced partition safety margin from 8MB to 2MB.
  * Eliminate fsck for /boot partition.
  * Stop and start udev at the end, so the file manager detects partitions.
  * Fixed: file system info is forgotten at the configuration phase.
  * Make addition to crypttab optional for future LUKS containers.
  * Eliminate dd before setting the BIOS-GRUB flag.
  * Use blkdiscard instead of dd; -z for devices without discard support.
  * Btrfs default subvolume is now user selectable with the context menu.
  * GUI operation and defaults tweaks and fixes.

 -- Adrian <adrian@mxlinux.org>  Tue, 18 Jul 2023 13:49:40 -0400

gazelle-installer (23.7.08mx23) mx; urgency=medium

  * Only select ESP in partition manager (/boot/efi). Disable boot manager combo box.
  * Fixed: do not attempt to change ESP flag if ESP status is not changed.
  * Relax exception handling for partprobe.
  * Updated partition manager help pane text.
  * Remove Mac detection and safeguards.

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 16 Jul 2023 09:35:26 -0400

gazelle-installer (23.7.07mx23) mx; urgency=medium

  * stop-gap build for MX-23 RC series (stopgap branch of gazelle-installer git)
  * relax error check during partition creation
  * don't adjust initramfs.conf

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 15 Jul 2023 21:16:05 -0400

gazelle-installer (23.7.06mx23) mx; urgency=medium

  * preserve ESP by default

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 14 Jul 2023 20:46:00 -0400

gazelle-installer (23.7.05mx23) mx; urgency=medium

  * Move zram startup to the beginning of the preparation phase.
  * Add a border to windows for the default skin, use CDE style.
  * Secure config and log file permissions on the target.

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Jul 2023 07:59:03 -0400

gazelle-installer (23.7.04mx23) mx; urgency=medium

  * Fixed: fallback skin in Fluxbox due to lack of XDG_CURRENT_DESKTOP variable.
  * Fixed: Next button enabled in OEM mode during installation.

 -- Adrian <adrian@mxlinux.org>  Wed, 12 Jul 2023 14:31:24 -0400

gazelle-installer (23.7.03mx23) mx; urgency=medium

  * Retire support for "root", "boot", and "home" use names.
  * Fixed crash when using the Layout Builder.
  * Restrict slider with hibernation checkbox.
  * Do not preserve mounts from list (except /home) by default.
  * Add --good-luks option to use luks-<UUID> mapping for all LUKS volumes.

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 11 Jul 2023 21:43:25 -0400

gazelle-installer (23.7.02mx23) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Jul 2023 19:04:59 -0400

gazelle-installer (23.7.01mx23) mx; urgency=medium

  * Fixed: swap file cannot be created in a volume smaller than root.
  * Fixed: disk space warning with unselected BIOS-GRUB partition.
  * Fixed: unbootable setup warning with existing BIOS-GRUB partition.
  * Fixed: changing from encrypted volume to un-encryptable will encrypt it anyway.
  * Fixed: BIOS-GRUB ESP and boot are selectable for subvolumes.
  * GRUB-related EFI NVRAM fixes.
  * Fixed: live /etc/default/grub corrupted if hibernation is selected.
  * Fixed: lingering window on close while waiting for info.
  * Fixed: stall during passphrase text box popup menu.
  * Services setup fixes.
  * Fixed: work area and chroot environment management.
  * Fixed: btrfs allowed uses not updated after changing parent volume size.
  * Add --media-check and --no-media-check to command options parser.
  * Improved random passphrase generator.
  * Changed naming scheme from ".fsm" to ".luks" to reflect the true purpose.
  * New format for services.list and installer.conf listed services.
  * Start zram at the beginning to aid LUKS on memory constrained systems.
  * Warn if the default user passphrase is empty.
  * Hide the percentage when waiting for operator input.
  * Use keyscript=decrypt_keyctl instead of key files.
  * Take advantage of cryptsetup 2.4.0 automatic sector size detection.
  * GUI and user experience tweaks.
  * Improvements and fixes to various warning and confirmation messages.
  * Error handling and logging improvements.
  * Turn off partman grid by default

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 06 Jul 2023 07:01:59 -0400

gazelle-installer (23.6.06mx23) mx; urgency=medium

  * Add some colour to the throbber.
  * Show terms and keyboard settings in OOBE mode.
  * Remove short forms for test options.
  * Add button to hide or show the grid lines in the partition list.
  * Copy mount option changes for performance.
  * Fixed: drives that support discard are not recognised if not SSDs.
  * BTRFS options and template changes.
  * Since cryptsetup >2.3.4 is now in the base, take advantage of it.
  * Make --auto work again.
  * Swap file bug fixes.
  * Changed default swap file location to /swap/swap.
  * Remove old /bin and /sbin prefixes from commands.
  * Improved minstall-launcher security.
  * Reduce process execution log noise when there are no errors or anomalies.

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Jun 2023 15:39:27 -0400

gazelle-installer (23.6.05mx23) mx; urgency=medium

  * Fixed attempt to prepare subvolumes on non-btrfs partitions.
  * Dump the config to the log if failed or aborted.
  * Enable auto-mount only after cleanup has completed.
  * Bring back media MD5 checks, pending a user-friendly boot time solution.
  * Fixed "Reuse" text appearing with unused btrfs partitions.
  * Do not fill mount/dump/pass options for BIOS-GRUB partition.
  * Improved cursor feedback so message boxes do not look like they are locked up.
  * Eliminate forced nosplash for OOBE.
 
 -- Adrian <adrian@mxlinux.org>  Mon, 19 Jun 2023 23:34:21 -0400

gazelle-installer (23.6.04mx23) mx; urgency=medium

  * Disable auto-mount only when proceeding with the installation.
  * New abortion mechanism to fix abort and exit issues.
      - The installer must now be restarted once aborted.
  * Fixed loading of the default OOBE configuration.
  * Fixed boot partition check for root on a btrfs subvolume.
  * Inform the user of btrfs actions in the confirmation.
  * Btrfs-related menu and user interface bug fixes.
  * Deleted the minstall-pkexec symlink. 

 -- Adrian <adrian@mxlinux.org>  Sun, 18 Jun 2023 16:16:28 -0400

gazelle-installer (23.6.03mx23) mx; urgency=medium

  * Fixed OEM mode on whole-disk install. Fixed back button enabled during OEM.

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Jun 2023 21:29:37 -0400

gazelle-installer (23.6.02mx23) mx; urgency=medium

  * Added password strength tool tip to the gauge.
  * Password strength gauge visual improvements. 

 -- Adrian <adrian@mxlinux.org>  Tue, 06 Jun 2023 18:11:00 -0400

gazelle-installer (23.6.01mx23) mx; urgency=medium

  * New and improved password strength meter.

 -- Adrian <adrian@mxlinux.org>  Sun, 04 Jun 2023 11:05:42 -0400

gazelle-installer (23.6mx23) mx; urgency=medium

  * Fixed empty UUIDs added to btrfs subvolume fstab lines.

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Jun 2023 00:48:38 -0400

gazelle-installer (23.5.02mx23) mx; urgency=medium

  * Set Grub MBR debconf values

 -- Adrian <adrian@mxlinux.org>  Thu, 25 May 2023 10:56:24 -0400

gazelle-installer (23.5.01mx23) mx; urgency=medium

  * Fixed: wrong initramfs.conf modified.
  * Fixed: pushNext enabled on empty password if adding encrypted partitions using the Layout Builder.

 -- Adrian <adrian@mxlinux.org>  Sat, 06 May 2023 13:51:49 -0400

gazelle-installer (23.5mx23) mx; urgency=medium

  * GUI improvements and fixes, including help text fixes.
  * Swap file and hibernation support fixes and improvements.
  * Refresh all UUIDs using one lsblk process.
  * Fixed incorrect default for the local vs UTC check box.
  * Fixed: Next not enabled after going backwards to user account page.
  * New automatic partitioning module replaces default layout mechanism.
  * Improved slider responsiveness, add size recommendations to tool tips.
  * New layout builder GUI, replaces layout templates.
  * Improved disk partition recommendations.
  * Optimise update-initramfs with MODULES=dep in the configuration.
  * Stop installation if any part of the boot manager install fails.
  * Eliminated media MD5 checks. Log the live boot options.
  * Added spin boxes for fine-grained control of slider portions.

 -- Adrian <adrian@mxlinux.org>  Fri, 05 May 2023 09:44:55 -0400

gazelle-installer (23.4mx23) mx; urgency=medium

  * Add hibernation support (resume variables) for swap files.  
  * Set no-COW attribute for a swap file residing on a BTRFS volume.
  * Moved swap file installation before boot manager installation.
  * Fixed auto-install swap management configuration code.
  * If allowed, default to Preserve for non-root mount points.

 -- Adrian <adrian@mxlinux.org>  Sat, 08 Apr 2023 00:02:22 -0400

gazelle-installer (23.3mx23) mx; urgency=medium

  * Update translation strings. Add new languages to src.pro
  * Use QSettings to parse /etc/adduser.conf and fix shadow variable.
  * Remove comment from DIR_MODE check
  * Set permissions of home folder per adduser.conf settings
  * Handle additional xfce clock plugins turning time config
  * Add auto-generated Makefile to git ignore file.
  * Update help text. Add space before "MB" in the spin box.
  * Use a swap file instead of swap partition for the default install. Improved swap file creation progress feedback.
  * Added swap file support. Calculate default size as described in the Ubuntu swap FAQ.  - https://help.ubuntu.com/community/SwapFaq
  * Fixed hang if process startup was unsuccessful. Print the process error status when finished

 -- Adrian <adrian@mxlinux.org>  Wed, 29 Mar 2023 15:00:14 -0400

gazelle-installer (22.12) mx; urgency=medium

  * Run grub-install only if selected
  * Remove built-in kernel cmdline parameters from grub setup
  * Create /boot/efi for select ESP even if grub-install was not selected
  * Add checks to avoid warnings on unmount's
  * Check /proc/swaps to avoid warnings on swapoff
  * Adjust temporary inhibit-rules for raid 

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Dec 2022 19:39:06 -0500

gazelle-installer (22.11.01) mx; urgency=medium

  * Translation updates

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Nov 2022 16:01:59 -0500

gazelle-installer (22.11) mx; urgency=medium

  * fix oobe: live-user (demo) entries in /etc/subuid and /etc/subgid
  * fix bootman: remove any efivars-dump-entries in NVRAM
  * fix bootman: copy memtest from /live/to-ram if needed

 -- Adrian <adrian@mxlinux.org>  Tue, 08 Nov 2022 08:14:16 -0500

gazelle-installer (22.10.01) mx; urgency=medium

  *  update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:54:02 -0400

gazelle-installer (22.9.02) mx; urgency=medium

  * Fixed: unable to recognise squashfs not named "linuxfs".

 -- Adrian <adrian@mxlinux.org>  Sun, 11 Sep 2022 11:51:26 -0400

gazelle-installer (22.9.01) mx; urgency=medium

  * Allow the media check to be skipped by pressing ESC.
  * Omit the media check if booted with checkmd5. Use --media-check to override.
  * Fixed media checker false failure with toram=min and toram=store.
  * Fixed attempt to use a "linuxfs.info.info" file. 
  * Do not issue BIOS-GRUB warning if such a partition is being re-used.

 -- Adrian <adrian@mxlinux.org>  Sun, 04 Sep 2022 21:51:27 -0400

gazelle-installer (22.9) mx; urgency=medium

  * Added installation checker.
  * Improve startup exception handling.

 -- Adrian <adrian@mxlinux.org>  Sun, 04 Sep 2022 09:17:56 -0400

gazelle-installer (22.8.01) mx; urgency=medium

  * Fix: Selecting system timezone by default when doing entire disk installation

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 22:41:08 -0400

gazelle-installer (22.8) mx; urgency=medium

  * Set /boot default size for encrypted systems = 1024 

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Aug 2022 16:54:16 -0400

gazelle-installer (22.7.01) mx; urgency=medium

  * translation referesh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:12:04 -0400

gazelle-installer (22.5.02) mx; urgency=medium

  * New build

 -- Adrian <adrian@mxlinux.org>  Sat, 14 May 2022 20:13:17 -0400

gazelle-installer (22.5.01) mx; urgency=medium

  * Another OEM fix (do not set services when running in OEM mode)
  * Disable "splash" when running OOBE
  * Added dosfstools dependency (that's present in all the builds but just to make sure)
  * Added -r/--reboot CLI option to reboot automatically when done installing
  * Added -f/--poweroff CLI option to shutdown automatically when done installing

 -- Adrian <adrian@mxlinux.org>  Sat, 14 May 2022 16:11:45 -0400

gazelle-installer (22.5) mx; urgency=medium

  * Fix OEM/OOBE mode

 -- Adrian <adrian@mxlinux.org>  Sat, 07 May 2022 02:17:45 -0400

gazelle-installer (22.4.01) mx; urgency=medium

  * tint2 clock change 

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Apr 2022 22:29:58 -0400

gazelle-installer (22.4) mx; urgency=medium

  * Minor improvements to unmount/swapoff ordering.

 -- Adrian <adrian@mxlinux.org>  Tue, 05 Apr 2022 08:58:51 -0400

gazelle-installer (22.3.17) mx; urgency=medium

  * Use full device path for umount/swapoff during preparation.

 -- Adrian <adrian@mxlinux.org>  Mon, 28 Mar 2022 01:50:52 -0400

gazelle-installer (22.3.16) mx; urgency=medium

  * Fixed partition manager error handling. 

 -- Adrian <adrian@mxlinux.org>  Sun, 27 Mar 2022 21:51:46 -0400

gazelle-installer (22.3.15) mx; urgency=medium

  * Use C++ exceptions for error handling. 

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Mar 2022 12:03:21 -0400

gazelle-installer (22.3.14) mx; urgency=medium

  * Disable regular install if there are no suitable full-disk targets. GUI layout fix for regular install options.

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Mar 2022 20:17:36 -0400

gazelle-installer (22.3.13) mx; urgency=medium

  * Fixed: wrong part of command output used for fallback space calculation. 
  * Fixed: linuxfs.info created if it does not already exist. Eliminate confusion within the image information log message.

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Mar 2022 11:45:19 -0400

gazelle-installer (22.3.12) mx; urgency=medium

  * Fixed: BIOS-GRUB partition added to fstab. 

 -- Adrian <adrian@mxlinux.org>  Mon, 21 Mar 2022 11:14:34 -0400

gazelle-installer (22.3.11) mx; urgency=medium

  * Improved disk space calculation methods and made them less pessimistic.
  * Added splash screen throbber to detect freeze at startup and OOBE setup.
  * New and improved help backdrop display technique. 
  * Fixed a condition which could cause the wrong disk space method to be used.

 -- Adrian <adrian@mxlinux.org>  Sun, 20 Mar 2022 14:33:25 -0400

gazelle-installer (22.3.10) mx; urgency=medium

  * Relax some disk space safety factors.

 -- Adrian <adrian@mxlinux.org>  Mon, 14 Mar 2022 21:43:53 -0400

gazelle-installer (22.3.09) mx; urgency=medium

  * Fixed condition which could break snapshot user account detection. 

 -- Adrian <adrian@mxlinux.org>  Mon, 14 Mar 2022 12:34:41 -0400

gazelle-installer (22.3.08) mx; urgency=medium

  * Fixed excessively-pessimistic disk space estimate.

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Mar 2022 22:35:18 -0400

gazelle-installer (22.3.07) mx; urgency=medium

  * Revert 22.3.06 changes till we fix some bugs

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Mar 2022 18:45:34 -0400

gazelle-installer (22.3.06) mx; urgency=medium

  * Split installer code into modules that can be loaded as required.
  * Improve partition slider appearance to convey two portions.
  * Use linuxfs.info file to calculate required disk space accurately.

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Mar 2022 10:08:00 -0400

gazelle-installer (22.3.05) mx; urgency=medium

  * Detect solid-state drives and activate supported enhancements.
  * Improved and fixed installation abortion mechanism.
  * Show failures in the live log.
  * The "-" button can now remove subvolumes from the list.

 -- Adrian <adrian@mxlinux.org>  Tue, 08 Mar 2022 09:03:32 -0500

gazelle-installer (22.3.04) mx; urgency=medium

  * Revamped execution procedures to take advantage of separated arguments for executables. This reduces the need for character escaping and quotes, and removes the confusion between "raw" and "non-raw" commands.
  * Use the "exec" functions to run executables with simple commands consisting of the program and an array of arguments. Use the "shell" functions to run complex script lines that require a shell to interpret it.
  * Built chroot facility into MProcess to improve efficiency when executing multiple commands in the same chroot environment.

 -- Adrian <adrian@mxlinux.org>  Mon, 07 Mar 2022 13:17:40 -0500

gazelle-installer (22.3.03) mx; urgency=medium

  * Eliminate reiserfs, which is now officially deprecated in the Linux kernel.
  * Fix encrypted format-only volumes and btrfs subvolumes.

 -- Adrian <adrian@mxlinux.org>  Sun, 06 Mar 2022 12:31:38 -0500

gazelle-installer (22.3.02) mx; urgency=medium

  * Make sure all processes are run with C.UTF-8 localization

 -- Adrian <adrian@mxlinux.org>  Sat, 26 Feb 2022 09:32:36 -0500

gazelle-installer (22.3.01) mx; urgency=medium

  * Fix encoding issue in Services view

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Feb 2022 13:00:37 -0500

gazelle-installer (22.3) mx; urgency=medium

  * Fix for lsblk output when using Turkish locale

 -- Adrian <adrian@mxlinux.org>  Sun, 20 Feb 2022 08:54:33 -0500

gazelle-installer (22.2) mx; urgency=medium

  * explicitly set default btrfs subvolume to root subvolume 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 08 Feb 2022 19:48:49 -0500

gazelle-installer (22.1) mx; urgency=medium

  * Draw arrows in the partition list fields to indicate drop-down lists.
  * Obtain device paths from the OS instead of guessing them.

 -- Adrian <adrian@mxlinux.org>  Fri, 07 Jan 2022 11:02:24 -0500

gazelle-installer (21.12) mx; urgency=medium

  * Don't delete mounted directories that are not empty

 -- Adrian <adrian@mxlinux.org>  Sun, 19 Dec 2021 15:57:59 -0500

gazelle-installer (21.11) mx; urgency=medium

  * New translations.
  * Describe how to preserve /home on root in the help pane.

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Nov 2021 17:57:30 -0400

gazelle-installer (21.10.14) mx; urgency=medium

  * Fixed: wrong partition selected for PBR installation.
  * Reduce live log noise.

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Oct 2021 18:22:15 -0400

gazelle-installer (21.10.13) mx; urgency=medium

  * Fixed: wrong boot device may be selected if root is on a subvolume.
  * Fixed: selecting root on subvolume does not activate the partition.

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Oct 2021 02:06:31 -0400

gazelle-installer (21.10.12) mx; urgency=medium

  * Fixed: wrong boot device may be selected by default.
  * Fixed: stale ESPs may appear in the list.

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Oct 2021 23:11:37 -0400

gazelle-installer (21.10.11) mx; urgency=medium

  * Use an asterisk (*) instead of italics for the active partition.
  * Replace "Boot flag" references with "Active partition" references.
  * Fixed: active partition set for GPT drive on UEFI systems.
  * Show the partition table format that is, or will be, used.

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Oct 2021 14:16:15 -0400

gazelle-installer (21.10.10) mx; urgency=medium

  * Hide the live boot media and its partitions by default.

 -- Adrian <adrian@mxlinux.org>  Thu, 21 Oct 2021 10:52:17 -0400

gazelle-installer (21.10.09) mx; urgency=medium

  * Fixed: no possible uses listed for subvolumes.

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 16 Oct 2021 09:51:17 -0400

gazelle-installer (21.10.08) mx; urgency=medium

  * Fixed:  generate /etc/machine-id 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 11 Oct 2021 20:57:34 -0400

gazelle-installer (21.10.07) mx; urgency=medium

  * Fixed: Label field editable when preserving format.

 -- Adrian <adrian@mxlinux.org>  Sat, 09 Oct 2021 20:56:47 -0400

gazelle-installer (21.10.06) mx; urgency=medium

  * Fixed: some extended partition types appear in the list.
  * Fixed: ESPs on MBR (type 0xEF) are not selected for ESP. 

 -- Adrian <adrian@mxlinux.org>  Sat, 09 Oct 2021 08:22:55 -0400

gazelle-installer (21.10.05) mx; urgency=medium

  * Fixed: incorrect sector size on new layouts. 

 -- Adrian <adrian@mxlinux.org>  Thu, 07 Oct 2021 16:36:48 -0400

gazelle-installer (21.10.04) mx; urgency=medium

  * Fixed: setting up machine-id

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Oct 2021 11:15:52 -0400

gazelle-installer (21.10.03) mx; urgency=medium

  * Fixed: duplicate boot partition in configuration.
  * List partitions in order of physical location on the disk.
  * EFI System Partition formatting and validation fixes.
  * Increase size limit of boot and EFI System partition to 8GB.
  * Virtual device detection, listing and editing fixes.
  * Minor partition manager GUI bug fixes.

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Oct 2021 11:21:21 -0400

gazelle-installer (21.10.02) mx; urgency=medium

  * Fixed: ESP not automatically selected the first time.
  * Fixed: Auto-selected ESP format not set to PRESERVE. 

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Oct 2021 01:48:12 -0400

gazelle-installer (21.10.01) mx; urgency=medium

  * Fixed: unselected drives without partitions are wiped.

 -- Adrian <adrian@mxlinux.org>  Sun, 03 Oct 2021 20:51:17 -0400

gazelle-installer (21.10) mx; urgency=medium

  * Fixed: old partitions not detached before clearing the drive. 

 -- Adrian <adrian@mxlinux.org>  Sun, 03 Oct 2021 09:10:12 -0400

gazelle-installer (21.9.10) mx; urgency=medium

  * Fixed: blank drive considered an old, locked layout.
  * Fixed: blank drives formatted as MBR on EFI systems.

 -- Adrian <adrian@mxlinux.org>  Sat, 02 Oct 2021 20:39:11 -0400

gazelle-installer (21.9.09) mx; urgency=medium

  * Fixed: combo box drop-down list gets duplicated when an entry is chosen.
  * Use the maximum available space when zero is entered.
  * Lowered the likely excessive safety margin to 8MB. 

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Sep 2021 08:21:11 -0400

gazelle-installer (21.9.08) mx; urgency=medium

  * Allow bad block checks to be setup per partition instead of everything.

 -- Adrian <adrian@mxlinux.org>  Mon, 27 Sep 2021 17:27:11 -0400

gazelle-installer (21.9.07) mx; urgency=medium

  * Select the whole row when adding the partition.
  * Correct the device when selecting a combo box item, without Enter.
  * Eliminate Hobson's combo boxes.

 -- Adrian <adrian@mxlinux.org>  Sun, 26 Sep 2021 09:43:53 -0400

gazelle-installer (21.9.06) mx; urgency=medium

  * Fixed: cannot add partitions to new layout.
  * Fixed: default size of 0MB for new partitions.
  * Do not start the install if the root partition is too small.
  * Display drive model and free space in tool tip instead of the Label field.
  * Only allow up to 128 partitions (Linux GPT limit).
  * Fixed: preserving of /home can fail if encryption is de-selected.
  * List partitions that will be created without formatting.

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 22:21:30 -0400

gazelle-installer (21.9.05) mx; urgency=medium

  * Mention the use for the volume in the confirmation details.
  * Fixed incorrect active flag status check. 

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 19:54:16 -0400

gazelle-installer (21.9.04) mx; urgency=medium

  * Fixed: only swap partitions displayed in PBR combo box.
  * Consider all combo options for partition manager cell sizes.

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 07:58:10 -0400

gazelle-installer (21.9.03) mx; urgency=medium

  * Consolidated model code and disk detection into partition manager.
  * Fix row heights and increase indicator frame thickness to 2.
  * Fixed various segmentation fault conditions.
  * Do not show root in Use For combo if the partition is too small.
  * Fixed: swap partitions and some LUKS volumes appear in PBR list.
  * Fixed incorrect preservation/format logic.
  * Fixed: "Format" item not at the top of the list.

 -- Adrian <adrian@mxlinux.org>  Fri, 24 Sep 2021 22:46:15 -0400

gazelle-installer (21.9.02) mx; urgency=medium

  * Partition manager UX improvements.
  * Fixed: can edit "Virtual Devices" header columns.
  * Main lock file no longer needed for pretend mode.
  * Translator setup moved further back to the start. 

 -- Adrian <adrian@mxlinux.org>  Wed, 22 Sep 2021 18:28:56 -0400

gazelle-installer (21.9.01) mx; urgency=medium

  * Allow multiple EFI System Partitions to be created.
  * Removed native partition warning.
  * Model-View-Controller partition manager architecture.
  * Usability improvements and bug fixes.
  * Translations updated.

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Sep 2021 13:22:52 -0400

gazelle-installer (21.9) mx; urgency=medium

  * Create /etc/machine-id for systems that use systemd

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Sep 2021 15:22:04 -0400

gazelle-installer (21.8.10) mx; urgency=medium

  * Exclude .config/session when saving /home/demo

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Aug 2021 07:40:07 -0400

gazelle-installer (21.8.09) mx; urgency=medium

  * Fixed: wrong actions and options enabled if the layout is reset.
  * Stop generating unknown "nofail" option for crypttab. 

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Aug 2021 08:56:07 -0400

gazelle-installer (21.8.08) mx; urgency=medium

  * Allow user to configure dump and pass options.
  * Updated partition manger help pane text.
  * Fixed: swap causes umount to be executed twice.
  * Updated media source list.
  * Dump the stderr from the copy into the log.
  * Minor GUI improvements.

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Aug 2021 03:22:29 -0400

gazelle-installer (21.8.07) mx; urgency=medium

  * Exclude gazelle.lnk for idesktop desktops.
  * Fixed: /var/log/minstall.log not written.
  * Prevent some potential crash situations.

 -- Adrian <adrian@mxlinux.org>  Sat, 14 Aug 2021 20:44:55 -0400

gazelle-installer (21.8.06) mx; urgency=medium

  * Fixed: validation segmentation fault if there are virtual devices. 

 -- Adrian <adrian@mxlinux.org>  Fri, 13 Aug 2021 22:20:32 -0400

gazelle-installer (21.8.05) mx; urgency=medium

  * Avoid automatically determining a boot flag if one already exists.
  * Fixed: no boot flag determined again if the boot partition is deleted.

 -- Adrian <adrian@mxlinux.org>  Fri, 13 Aug 2021 12:37:41 -0400

gazelle-installer (21.8.04) mx; urgency=medium

  * Fix: remove duplicated -av options from 'cp' command

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Aug 2021 18:00:06 -0400

gazelle-installer (21.8.03) mx; urgency=medium

  * Combine LUKS steps into format loop.
  * Fixed LUKS volume progress feedback.
  * Remove some 1-second sleeps.

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Aug 2021 09:41:33 -0400

gazelle-installer (21.8.02) mx; urgency=medium

  * Confirm potentially unbootable GPT drives before continuing.

 -- Adrian <adrian@mxlinux.org>  Mon, 09 Aug 2021 09:14:37 -0400

gazelle-installer (21.8.01) mx; urgency=medium

  * Fail the install if disk encryption final step fails.
  * Do not show zram devices in the partition tree.
  * Expand the Virtual Devices section by default.
  * Fixed default mount options for various conditions.
  * Use Argon2id instead of the default Argon2i KDF.
  * Avoid using obsolete QProcess::start() overload
  * Reduced process execution log character noise.

 -- Adrian <adrian@mxlinux.org>  Sun, 08 Aug 2021 10:26:17 -0400

gazelle-installer (21.8) mx; urgency=medium

  * Improved duplicate process check using a lock file.
  * Disable the root account by default, allow it to be enabled if required.
  * Enhanced password revealer.
  * Process lock covers more of the execution.

 -- Adrian <adrian@mxlinux.org>  Sat, 07 Aug 2021 18:42:13 -0400

gazelle-installer (21.7.05) mx; urgency=medium

  * Removed all Advanced Encryption Settings code.
  * Fixed: "Preserve /home" and "Preserve" text out of sync.
  * Disable label fields on partitions that are being preserved.

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Jul 2021 23:30:55 -0400

gazelle-installer (21.7.04) mx; urgency=medium

  * Advanced Encryption Settings is now disabled while its future is being reviewed.
  * Log the failUI() message box.

 -- Adrian <adrian@mxlinux.org>  Sat, 24 Jul 2021 18:23:17 -0400

gazelle-installer (21.7.03) mx; urgency=medium

  * New LUKS volumes now work better on Advanced Format drives.
  * New settings so LUKS can be set up on low-memory systems, with lower security.

 -- Adrian <adrian@mxlinux.org>  Sun, 18 Jul 2021 18:08:38 -0400

gazelle-installer (21.7.02) mx; urgency=medium

  * Fixed: ESP flag was removed from pre-selected EFI System Partition.
  * Fixed: bad command for new EFI System Partition on MBR disk.

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Jul 2021 09:40:21 -0400

gazelle-installer (21.7.01) mx; urgency=medium

  * Fixed: stale layout selections used for entire-disk install. 

 -- Adrian <adrian@mxlinux.org>  Wed, 14 Jul 2021 10:05:29 -0400

gazelle-installer (21.7) mx; urgency=medium

  * Build for Bullseye

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Jul 2021 21:39:46 -0400

gazelle-installer (21.6.01) mx; urgency=medium

  * Improved slider and partition management help text.
  * Reflect the effect of 100% in the slider tool tip. 

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Jun 2021 00:37:14 -0400

gazelle-installer (21.6) mx; urgency=medium

  * Fixed: slider value can change when the desktop theme changes.
  * Prevent the slider from setting an undersized home partition.
  * Be generous with recommended root size.
  * Simplified handling of Samba daemons.
  * Fixed subvolume label validation for special characters.
  * Fixed: no subvolume validation for non-mount subvolumes.
  * Slider now defaults to 100% (home in root) regardless of drive size.
  * Fixed: cannot add partitions to a drive with zero partitions.
  * New partitions no longer default to the maximum possible size.

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Jun 2021 08:33:07 -0400

gazelle-installer (21.5.08) mx; urgency=medium

  * Reduced process spawning to obtain GPT vs MBR info.
  * Improved overall progress bar accuracy and range.
  * Fixed: progress bar not updating when copying to Btrfs partition.
  * Make BIOS-GRUB partition selection work again.
  * Overwrite a new BIOS-GRUB partition with zeros before using it.
  * Fixed: subvolumes are not shown in confirmation messages.
  * Simplified partition table clearing routine.
  * Preserve home partition by default if selected and possible.
  * Various other fixes and improvements.
 
 -- Adrian <adrian@mxlinux.org>  Sun, 23 May 2021 09:16:17 -0400

gazelle-installer (21.5.07) mx; urgency=medium

  * The partition boot flag can now be specified manually.
  * Updated partition manager documentation.

 -- Adrian <adrian@mxlinux.org>  Fri, 21 May 2021 23:12:35 -0400

gazelle-installer (21.5.06) mx; urgency=medium

  * New subvolume naming convention.
  * Various BTRFS subvolume bug fixes.
  * Fixed some GUI deadlocks that occur when a process fails.
  * Various GUI and menu enhancements.
  * FDE key material can now be specified in the configuration file.

 -- Adrian <adrian@mxlinux.org>  Wed, 19 May 2021 10:49:27 -0400

gazelle-installer (21.5.05) mx; urgency=medium

  * Support BTRFS subvolumes in the configuration file.
  * Only change non-empty label fields if the user has not modified them.
  * Excluding situations where user-defined labels are not supported.
  * Disable the label field if preserving a subvolume.

 -- Adrian <adrian@mxlinux.org>  Mon, 17 May 2021 09:38:30 -0400

gazelle-installer (21.5.04) mx; urgency=medium

  * Fixed: using Buster version of lsblk

 -- Adrian <adrian@mxlinux.org>  Mon, 17 May 2021 08:13:51 -0400

gazelle-installer (21.5.03) mx; urgency=medium

  * Added support for BTRFS subvolumes.
  * Fixed: incorrect names used for swap spaces.
  * Simplified detection of various partition types. 

 -- Adrian <adrian@mxlinux.org>  Sun, 16 May 2021 10:38:50 -0400

gazelle-installer (21.5.02) mx; urgency=medium

  * Updated partition manager preservation documentation.
  * Partition manager bug fixes and GUI usability improvements.
  * Improved validation to disallow system partitions on virtual devices.
  * Fixed: attempt to preserve home on a virtual device fails.
  * Removed reiser4 support.

 -- Adrian <adrian@mxlinux.org>  Fri, 14 May 2021 10:19:20 -0400

gazelle-installer (21.5.01) mx; urgency=medium

  * Preserving LUKS partitions now relies on virtual devices.
  * Added options to select LUKS partitions that need corresponding crypttab entries.
  * Fixed: some options unavailable if icons are not on the system.
  * Removed italic font for the "Virtual Devices" list item title.
  * Fixed list button icons.

 -- Adrian <adrian@mxlinux.org>  Sun, 09 May 2021 16:34:04 -0400

gazelle-installer (21.5) mx; urgency=medium

  * Virtual devices (such as LVM or software RAID volumes) can now be chosen.
  * Added mount-keep command-line option to keep mount points open when the installer is finished.

 -- Adrian <adrian@mxlinux.org>  Sat, 08 May 2021 18:44:40 -0400

gazelle-installer (21.4.1) mx; urgency=medium

  * Updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 09 Apr 2021 11:35:31 -0400

gazelle-installer (21.4mx21) mx; urgency=medium

  * add mx21 to version string to ensure it upgrades over Buster version

 -- Adrian <adrian@mxlinux.org>  Thu, 08 Apr 2021 17:55:03 -0400

gazelle-installer (21.4) mx; urgency=medium

  * Fixed: /etc/skel is not always copied to the user directory.
  * Fixed: bad indexing when a partition is removed from the layout.
  * Fixed: Preserve option not presented in some cases.
  * Adjusted virtualbox detection

 -- Adrian <adrian@mxlinux.org>  Tue, 06 Apr 2021 11:29:58 -0400

gazelle-installer (21.3.12) mx; urgency=medium

  * Boot loader installation improvements.
  * Use noatime during install to improve performance.
  * Set the noatime mount option in fstab by default.
  * Fixed: malformed fstab if options field is blank. 

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Mar 2021 10:57:28 -0400

gazelle-installer (21.3.11) mx; urgency=medium

  * Fixed: malformed ESP format command.
  * Fixed: both gparted and partitionmanager are run if present. 

 -- Adrian <adrian@mxlinux.org>  Fri, 19 Mar 2021 09:17:23 -0400

gazelle-installer (21.3.10) mx; urgency=medium

  * Moved recommended file system help text to custom partition page.
  * Increase the default information pane portion.

 -- Adrian <adrian@mxlinux.org>  Tue, 16 Mar 2021 09:45:31 -0400

gazelle-installer (21.3.09) mx; urgency=medium

  * Mount EFI Variable FS before installing the loader.
  * Fixed: initramfs not updated if GRUB is not selected.
  * Fixed: VFAT ESPs are not recognised.
  * Add FAT16 and FAT12 support to ESPs. 

 -- Adrian <adrian@mxlinux.org>  Mon, 15 Mar 2021 11:06:03 -0400

gazelle-installer (21.3.08) mx; urgency=medium

  * Added visual indicator for new layouts.
  * Fixed: drives without partitions modified.
  * Preserve ESP and swap space by default.
  * Fixed: ESP flag only set on first partition.
  * Slider tool tip now appears when hovering over the slider.
  * Fixed: slider tool tip appears when using the arrow keys.
  * Labels turn red when the slider goes outside the recommended range.
  * Some refactoring and code improvements.
  * Fixed: backup ESP detector runs multiple times if nothing is found.

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Mar 2021 10:42:23 -0500

gazelle-installer (21.3.07) mx; urgency=medium

  * Added partition list column documentation.

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Mar 2021 21:50:27 -0500

gazelle-installer (21.3.06) mx; urgency=medium

  * Mark desktop file as executable to satisfy XFCE
  * Added support for runit.
  * Some minstall-launcher improvements.
  * Automatically resize columns when adding an entry.
  * Improved partition manager pop-up menus.
  * Added space slider percentage tool-tip.
  * Partition manager documentation update.
  * Resized partitionmanager icon to 16x16.
  * Start the slider with recommended portions.
  * GUI bug fixes and code improvements. 

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Mar 2021 19:17:52 -0500

gazelle-installer (21.3.05) mx; urgency=medium

  * Fixed: malformed ESP mount created in fstab.
  * More user-friendly mounting point descriptions.
  * Fixed: foreign partition warning shown on a new layout containing the name of an existing partition.
  * Minor code improvements and cleanup.

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Mar 2021 09:22:06 -0500

gazelle-installer (21.3.04) mx; urgency=medium

  * Changed default root portion from 40% to 20%.
  * Swap space is now finally capped at 8GB.
  * PartMan only displays boot drive in brave mode.
  * Fixed: GRUB install setting was not obeyed.
  * Slider label scales are now shorter.
  * Fixed: potential divide-by-zero in slider event. 

 -- Adrian <adrian@mxlinux.org>  Wed, 03 Mar 2021 10:34:05 -0500

gazelle-installer (21.3.03) mx; urgency=medium

  * Fixed: laucher script

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Mar 2021 22:08:26 -0500

gazelle-installer (21.3.02) mx; urgency=medium

  * Revise launcher script live check
  * Lowered compression factors to be conservative on required space.
  * Fixed: configuration error in space slider for large disks.
  * Fixed: segmentation fault with custom partition configuration.
  * Fixed: existing /etc/minstalled.conf is not overwritten.
  * Allow unused fields to be setup with custom default values.
  * Preserve field defaults if the corresponding setting is not present.
  * Renamed "RootSpace" to "RootPortion" to reflect the type of value.

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Mar 2021 19:05:30 -0500

gazelle-installer (21.3.01) mx; urgency=medium

  * Fixed: launching installer; move checks to only if non-root user 

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Mar 2021 17:38:55 -0500

gazelle-installer (21.3) mx; urgency=medium

  * Support for configuration file with custom partitions.
  * Support for the space slider in configuration file.
  * Fixed --auto installation. 

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Mar 2021 11:08:56 -0500

gazelle-installer (21.2.08) mx; urgency=medium

  * Move tests to MInstall::startup() to improve GUI feedback.
  * Eliminated duplicate EFI test, merged the warning message.
  * Remove the security bodge and revert to the old install source test.
  * Adjust script to require password when passing options or running in non-live environment 

 -- Adrian <adrian@mxlinux.org>  Sun, 28 Feb 2021 22:53:00 -0500

gazelle-installer (21.2.07) mx; urgency=medium

  * Fixed: encryption controls shown without required tools present.

 -- Adrian <adrian@mxlinux.org>  Sun, 28 Feb 2021 18:24:53 -0500

gazelle-installer (21.2.06) mx; urgency=medium

  * Account for /boot space when it is not in a separate partition.
  * Fixes: slider can move too far left and choke the installation.
  * Fixed: basic info is not read from separate /home partition.
  * Fixed typo: gpt-overwride 

 -- Adrian <adrian@mxlinux.org>  Sun, 28 Feb 2021 10:25:15 -0500

gazelle-installer (21.2.05) mx; urgency=medium

  * Replaced partition page with a basic partition manager, allowing more control over partitions.
  * The standard install now creates a separate /home partition by default.
  * Added root-home space slider for standard install.
  * The user can now change the boundary between the info tabs and installer pane.
  * Calculate standard install swap by 1.5xRAM, capped to 5% drive space. 

 -- Adrian <adrian@mxlinux.org>  Sat, 27 Feb 2021 19:14:53 -0500

gazelle-installer (21.2.04) mx; urgency=medium

  * Ensure graphical sudo works with password-free root.
  * Enable/disable disk encryption settings instead of showing/hiding them.
  * Added /live/linux to the live environment test.

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Feb 2021 18:15:15 -0500

gazelle-installer (21.2.03) mx; urgency=medium

  * Without --pretend or --oobe present, a live environment is now needed.
  * No longer switch to pretend mode if the live media cannot be read.
  * Test for multiple directories to check for a live environment.
  * No longer warn about root access if started in pretend mode.
  * Restore access to root tools in pretend mode, as above checks suffice.

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Feb 2021 11:58:07 -0500

gazelle-installer (21.2.02) mx; urgency=medium

  * Disable GParted and keyboard chooser when not running Live

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Feb 2021 14:46:01 -0500

gazelle-installer (21.2.01) mx; urgency=medium

  * Added system-keyboard-qt alternative to fskbsetting

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Feb 2021 15:36:21 -0500

gazelle-installer (21.2) mx; urgency=medium

  * Fixed issue with root account setup. 

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Feb 2021 16:31:26 -0500

gazelle-installer (21.01.03) mx; urgency=medium

  * Support empty user account and root passwords.
  * Added password strength meters.
  * Enhanced real-time password field validation.
  * Added random password generator.

 -- Adrian <adrian@mxlinux.org>  Sun, 31 Jan 2021 10:48:10 -0500

gazelle-installer (21.01.02) mx; urgency=medium

  * fix missing launcher file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 24 Jan 2021 17:25:15 -0500

gazelle-installer (21.01) mx; urgency=medium

  * update minstall-pkexec to minstall-launcher 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 21 Jan 2021 20:43:14 -0500
 
gazelle-installer (20.12) mx; urgency=medium

  * theme fixes for KDE

 -- Adrian <adrian@mxlinux.org>  Sat, 19 Dec 2020 16:53:30 -0500

gazelle-installer (20.10) mx; urgency=medium

  * add /dev to esp device for parted -s command

 -- dolphin <dolphinoracle@gmail.com>  Fri, 30 Oct 2020 18:24:45 -0400
 
gazelle-installer (20.8) mx; urgency=medium

  * add user directory creation when renaming home folder 

 -- Adrian <dolphin@littlebyte>  Tue, 11 Aug 2020 19:55:38 -0400

gazelle-installer (20.7) mx; urgency=medium

  * Set 12or24 hour for plasma clock 

 -- Adrian <adrian@mxlinux.org>  Fri, 24 Jul 2020 09:09:49 -0400

gazelle-installer (20.6) mx; urgency=medium

  * Added autologin for sddm

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Jun 2020 02:10:03 -0400

gazelle-installer (20.5.4) mx; urgency=medium

  * Fixed: Copying and renaming /etc/skel

 -- Adrian <adrian@mxlinux.org>  Tue, 26 May 2020 14:10:53 -0400

gazelle-installer (20.5.3) mx; urgency=medium

  * Fixed: Microsoft Reserved partition incorrectly flagged as LDM.

 -- Adrian <adrian@mxlinux.org>  Tue, 26 May 2020 09:28:52 -0400

gazelle-installer (20.5.2) mx; urgency=medium

  * Enhanced logging of the copy process.
  * OOBE script now supports SLiM.

 -- Adrian <adrian@mxlinux.org>  Mon, 25 May 2020 10:21:56 -0400

gazelle-installer (20.5.1) mx; urgency=medium

  * Fixed uninitialized variable.
  * Enhanced live log color palette.
  * Status changes are now logged.

 -- Adrian <adrian@mxlinux.org>  Fri, 08 May 2020 09:28:50 -0400

gazelle-installer (20.5) mx; urgency=medium

  * Added live log tab.
  * Eliminate warning about encrypted swap.

 -- Adrian <adrian@mxlinux.org>  Sun, 03 May 2020 11:22:29 -0400

gazelle-installer (20.4.2) mx; urgency=medium

  * Fixed postinst script

 -- Adrian <adrian@mxlinux.org>  Wed, 29 Apr 2020 10:58:22 -0400

gazelle-installer (20.4.1) mx; urgency=medium

  * Added assembly-line mode (--oem) and integrated out-of-box experience.
  * Added splash screen, currently shown while querying information from the system.
  * Removed command-line short-hand versions of test and experimental switches.
  * GUI text clarity improvements.
  * Select "No" by default for abortion confirmation.
  * Postpone some initialization until after the GUI is visible. 

 -- Adrian <adrian@mxlinux.org>  Fri, 24 Apr 2020 09:12:06 -0400

gazelle-installer (20.2) mx; urgency=medium

  * adjust live-to-install/makeFstab sequence 
  * update translations (ravrett)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 12 Feb 2020 17:35:52 -0500

gazelle-installer (20.1) mx; urgency=medium

  * Offer user creation if remastered demo folder is present

 -- Adrian <adrian@mxlinux.org>  Mon, 06 Jan 2020 20:48:27 -0500

gazelle-installer (19.12.02) mx; urgency=medium

  * new partition size estimate scheme (similar to live-remaster) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 10 Dec 2019 18:59:16 -0500

gazelle-installer (19.12.01) mx; urgency=medium

  * adjust preserve saving existing home partition function
  * adjust gui message at start of installer
  * adjust end message at install completion 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 07 Dec 2019 16:26:18 -0500

gazelle-installer (19.11.03) mx; urgency=medium

  * Fix swap detection

 -- Adrian <adrian@mxlinux.org>  Sat, 09 Nov 2019 14:37:04 -0500

gazelle-installer (19.11.02) mx; urgency=medium

  * Refreshed build with changes from master

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Nov 2019 10:25:31 -0500

gazelle-installer (19.11.01) mx; urgency=medium

  * put minstall.conf feature behind --config switch
  * update minstall-pkexec to pass arguments 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 05 Nov 2019 21:33:45 -0500

gazelle-installer (19.10.06) mx; urgency=medium

  * Fixed: installing on f2fs parititions

 -- Adrian <adrian@mxlinux.org>  Fri, 25 Oct 2019 14:30:33 -0400

gazelle-installer (19.10.05) mx; urgency=medium

  * Print information about artificial delays.

 -- Adrian <adrian@mxlinux.org>  Mon, 21 Oct 2019 19:02:42 -0400

gazelle-installer (19.10.04) mx; urgency=medium

  * Now requires Qt 5.10 or later.
  * Fixed: Next button is disabled if swap encryption is disabled in configuration.

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Oct 2019 23:46:32 -0400

gazelle-installer (19.10.03) mx; urgency=medium

  * Fixed: ext4 format fails if a file system exists on the target partition.

 -- Adrian <adrian@mxlinux.org>  Mon, 14 Oct 2019 21:15:55 -0400

gazelle-installer (19.10.02) mx; urgency=medium

  * add sleeps to allow time for partition changes 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 14 Oct 2019 14:46:50 -0400

gazelle-installer (19.10.01) mx; urgency=medium

  * revised filesystem label routines 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 11 Oct 2019 21:19:27 -0400

gazelle-installer (19.9.10) mx; urgency=medium

  * Translation refresh

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Sep 2019 13:50:25 -0400

gazelle-installer (19.9.09) mx; urgency=medium

  *  fix to 12or24 clock choice default

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 18 Sep 2019 12:59:45 -0400

gazelle-installer (19.9.08) mx; urgency=medium

  * revisions to automount in minstall and minstall-pkexec 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 13 Sep 2019 20:18:11 -0400

gazelle-installer (19.9.07) mx; urgency=medium

  * Sort the output of lsblk before populating the list 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 09 Sep 2019 20:07:06 -0400

gazelle-installer (19.9.06) mx; urgency=medium

  * Adjust lsblk command modify autmount disable rule name to avoid conflict with gparted
  * Let udisks trigger itself on its own accord.
  * Improved timezone appearance. 

 -- Adrian <adrian@mxlinux.org>  Mon, 09 Sep 2019 08:54:50 -0400

gazelle-installer (19.9.05) mx; urgency=medium

  *  correction to lsblk filtering
  *  modify rule name to inhibit automount to avoid clash with gparted

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 08 Sep 2019 19:40:50 -0400

gazelle-installer (19.9.03) mx; urgency=medium

  * correction to auto-mount routine - no longer trigger events 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 07 Sep 2019 10:45:15 -0400

gazelle-installer (19.9.02) mx; urgency=medium

  * Fixed detection of systemd.
  * Restore auto-mount as soon as practical.
  * Set the default kernel RNG to urandom. When out of entropy random will block.
  * Fixed: configuration error if no timezone is specified in the file.

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Sep 2019 12:03:30 -0400

gazelle-installer (19.9.01) mx; urgency=medium

  * Split time zone list into two combo boxes. Fixed: some time zones apparently missing.

 -- Adrian <adrian@mxlinux.org>  Wed, 04 Sep 2019 12:53:35 -0400

gazelle-installer (19.9) mx; urgency=medium

  * New method for toggling auto-mount.
  * Added F2FS as a file system option.
  * Fixed: cleanup programs may not be executed.

 -- Adrian <adrian@mxlinux.org>  Tue, 03 Sep 2019 09:15:00 -0400

gazelle-installer (19.8.08) mx; urgency=medium

  * New method for toggling auto-mount.

 -- Adrian <adrian@mxlinux.org>  Thu, 29 Aug 2019 11:44:41 -0400

gazelle-installer (19.8.07) mx; urgency=medium

  * Improved disk space calculation accuracy.
  * Determine minimum space from source medium instead of gazelle-installer-data.
  * Produce a warning if the source cannot be accessed and activate pretend mode.

 -- Adrian <adrian@mxlinux.org>  Wed, 28 Aug 2019 10:39:03 -0400

gazelle-installer (19.8.06) mx; urgency=medium

  * Force Adwaita theme for fskbsetting

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Aug 2019 13:57:23 -0400

gazelle-installer (19.8.05) mx; urgency=medium

  * Added command execution counter and improved the debug output a bit.
  * Changed readAll() calls to readAllStandardOutput() for clarity.

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Aug 2019 12:26:55 -0400

gazelle-installer (19.8.04) mx; urgency=medium

  * Separated root and boot mount options.

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Aug 2019 11:48:13 -0400

gazelle-installer (19.8.03) mx; urgency=medium

  * Fixed: mount options for BTRFS compression are not respected.

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Aug 2019 11:18:39 -0400

gazelle-installer (19.8.02) mx; urgency=medium

  * Store mount configuration in a flexible tree format.

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Aug 2019 08:48:12 -0400

gazelle-installer (19.8.01) mx; urgency=medium

  * antix automount fixes
  * fix for more than 15 partitions bug 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 14 Aug 2019 20:11:10 -0400

gazelle-installer (19.8) mx; urgency=medium

  * Add polkit file

 -- Adrian <adrian@mxlinux.org>  Thu, 01 Aug 2019 21:40:26 -0400

gazelle-installer (19.7.5) mx; urgency=medium

  * Add social media links

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Jul 2019 19:00:50 -0400

gazelle-installer (19.7.4) mx; urgency=medium

  * Add the boot flag to the partition for whole drive installation.

 -- Adrian <adrian@mxlinux.org>  Wed, 10 Jul 2019 11:19:24 -0400

gazelle-installer (19.7.3) mx; urgency=medium

  * Fixed: live boot device shown in GRUB combo boxes.

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 19:40:22 -0400

gazelle-installer (19.7.2) mx; urgency=medium

  * Fixed: incomplete boot flag propagation in block device list.

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 10:00:43 -0400

gazelle-installer (19.7.1) mx; urgency=medium

  * Process xfce4-datetime-plugin configuration

 -- Adrian <adrian@mxlinux.org>  Thu, 04 Jul 2019 14:05:59 -0400

gazelle-installer (19.7) mx; urgency=medium

  * Added -gpt-override option

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Jul 2019 20:29:49 -0400

gazelle-installer (19.6) mx; urgency=medium

  * Check the SMART status of all target drives.
  * Improved support for >=2TB drives on non-EFI systems.
  * Added --config option to select a configuration file.
  * Changed default configuration file locations to prevent files containing passwords being copied.
  * Bug fixes.

 -- Adrian <adrian@mxlinux.org>  Thu, 27 Jun 2019 11:51:11 -0400

gazelle-installer (19.6~7) mx; urgency=medium

  * Fixed: GPT formatted drives not detected properly.
  * Fixed: live boot medium would appear in combo boxes.
  * Fixed: home type combo box disabled until changed. 

 -- Adrian <adrian@mxlinux.org>  Sun, 23 Jun 2019 22:44:35 -0400

gazelle-installer (19.6~6) mx; urgency=medium

  * Harden test: used /bin/ls -1

 -- Adrian <adrian@mxlinux.org>  Sun, 23 Jun 2019 14:47:14 -0400

gazelle-installer (19.6~5) mx; urgency=medium

  * Fixed: service selection was not stashed.
  * Implemented automatic installation (--auto).
  * Mark widgets associated with invalid settings.
  * Removed 8-character encryption passphrase restriction.  

 -- Adrian <adrian@mxlinux.org>  Sun, 23 Jun 2019 11:11:26 -0400

gazelle-installer (19.6~2) mx; urgency=medium

  * Fix hanging after closing.
  * Convert three old home message boxes into one.
  * Always show the user account step in pretend mode. Use all command-line arguments as pretend homes.
  * Execute sed only on copied files when saving Desktop changes
  * The GUI should now appear earlier, with most of the startup code being delayed.
  * Added ability to load a configuration file (only /etc/minstall.conf for now).
  * Calculate future partitions and use the results to populate the boot device list.
  * Eliminated the pause between the drive/partition setup and the boot loader page.
  * Optimised the localization page for smaller 800x600 and 640x480 screens.
  * New block device list mechanism that reduces the amount of device probes and eliminates the partition-info dependency.
  * Added nasty flag to mark some devices as unsuitable for MBR/PBR installation.
  * The vintage Apple HFS+ check now uses the nasty flag.
  * Added check for Windows LDM devices, uses the nasty flag.
  * Added --brave option to bypass the nasty blocks. A warning icon is shown next to nasty partitions when using the --brave option. 

 -- Adrian <adrian@mxlinux.org>  Tue, 11 Jun 2019 10:30:29 -0400

gazelle-installer (19.5.2) mx; urgency=medium

  * fixed: nothing selected if the current system locale is not listed. Also deleted the 12h clock default.
  * fixed: generated locales are not listed. No longer needs a locales.template file.

 -- Adrian <adrian@mxlinux.org>  Mon, 20 May 2019 01:07:52 -0400

gazelle-installer (19.5.1) mx; urgency=medium

  * hide the Next arrow during Advanced Encryption and Services pages. 
  * change Next to OK when at Advanced Encryption Settings and Services pages.
  * stash service selection depending on whether Back or Next is clicked.
  * use the readlink(2) syscall instead of spawning a process.
 
 -- Adrian <adrian@mxlinux.org>  Sun, 19 May 2019 10:49:53 -0400

gazelle-installer (19.5) mx; urgency=medium

  * time-saver: user information can now be entered and validated during the installation process.
  * significantly improved GUI stability and responsiveness
  * improved progress bar layout and accuracy
  * integrated GRUB installation progress into the main GUI
  * improve password box red and green contrast
  * lock the page when busy and change the cursor to suit
  * present available locales in a format that the people can understand
  * confirm if the window close button is clicked during installation
  * improve usability with dark themes and small screens
  * distribute hints text changes accross the whole range of the progress bar
  * better indication of loading disk and partition information
  * remove logo from button bar and change icon
  * reduced seven confirmation message boxes down to two
  * moved the disk SMART checks to the start of the installation phase
  * moved old /home confirmation messages to the user validation step
  * encrypted /home can now be preserved
  * removed 2 character restriction from user names and passwords
  * install GRUB at the end so that recovery is practical if it fails
  * split the EFI GRUB install into two steps. Fail softly if NVRAM boot variable update fails.
  * add /boot/efi auto mount point for the ESP like stock Debian.
  * only set boot flags when necessary
  * improve installer startup time
  * reduce console spam
  * fixed some user account issues
  * improved abortion mechanism to reduce (but not eliminate) the chances of data corruption
  * fix disble Samba
  * simplified the copy and delete process handling code
  * fixed: service management operations are performed on category labels
  * numerous other bug fixes, improvements and changes

 -- Adrian <adrian@mxlinux.org>  Sat, 18 May 2019 23:13:59 -0400

gazelle-installer (19.4) mx; urgency=medium

  * added encryption advanced settings
  * updated translations 

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:14:36 -0400

gazelle-installer (19.3.2) mx; urgency=medium

  * select ESP by default if booted on UEFI system

 -- Adrian <adrian@mxlinux.org>  Wed, 27 Mar 2019 20:54:59 -0400

gazelle-installer (19.3.1) mx; urgency=medium

  * list all ESPs when installing GRUB
  * renamed "root" to "PBR"; allow installing GRUB on any partition
  * replace /home/demo with /home/newuser when preserving changes

 -- Adrian <adrian@mxlinux.org>  Wed, 27 Mar 2019 12:49:28 -0400

gazelle-installer (19.3) mx; urgency=medium

  * run partition-manager if gparted not available
  * align partitions

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Mar 2019 14:35:16 -0500

gazelle-installer (19.2.1) mx; urgency=medium

  * update regex on username check
  * 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 06 Feb 2019 19:02:04 -0500

gazelle-installer (19.1.2) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 09:21:12 -0500

gazelle-installer (19.1.1) mx; urgency=medium

  * stability improvement

 -- Adrian <adrian@mxlinux.org>  Sat, 19 Jan 2019 22:40:42 -0500

gazelle-installer (19.1) mx; urgency=medium

  * don't link /tmp to /var/tmp
  * create keyfile for swap only if swap is encrypted

 -- Adrian <adrian@mxlinux.org>  Thu, 03 Jan 2019 15:41:46 -0500

gazelle-installer (18.12.3) mx; urgency=medium

  * accomdate memtest 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 15 Dec 2018 10:09:43 -0500

gazelle-installer (18.12.2) mx; urgency=medium

  * filter out BOOT_IMAGE live boot code
  * 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 13 Dec 2018 17:21:10 -0500

gazelle-installer (18.12.1) mx; urgency=medium

  * remove encrptfs-utils dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Dec 2018 11:28:44 -0500

gazelle-installer (18.12) mx; urgency=medium

  * fix root install

 -- Adrian <adrian@mxlinux.org>  Mon, 03 Dec 2018 22:18:03 -0500

gazelle-installer (18.11.02) mx; urgency=medium

  * filter out vga=ask from bootcodes
  * disable adding swap as resume device to initramfs if swap is encrypted 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 26 Nov 2018 22:02:49 -0500

gazelle-installer (18.11.01) mx; urgency=medium

  * revised text in installer 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 23 Nov 2018 13:24:48 -0500

gazelle-installer (18.11) mx; urgency=medium

  * added full disk encryption option (LUKS)

 -- Adrian <adrian@mxlinux.org>  Sat, 17 Nov 2018 12:55:59 -0500

gazelle-installer (18.10.01) mx; urgency=medium

  * adjusted /etc/adjtime settings for LOCAL/UTC 

 -- dolphin <dolphinoracle@gmail.com>  Wed, 17 Oct 2018 21:42:58 -0400


gazelle-installer (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 20:43:31 -0400

gazelle-installer (18.8.1) mx; urgency=medium

  * fix localization problem when selecting swap partition

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Aug 2018 20:49:07 -0400

gazelle-installer (18.8) mx; urgency=medium

  * fix icon for other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 15:21:47 -0400

gazelle-installer (18.7.1) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Jul 2018 08:37:28 -0400

gazelle-installer (18.7) mx; urgency=medium

  * change UI for partition selection
  * allows installing /home on different file type than root
  * fix default /home label 

 -- Adrian <adrian@mxlinux.org>  Thu, 12 Jul 2018 01:28:07 -0400

gazelle-installer (18.6.3) mx; urgency=medium

  * added debugging info 

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Jun 2018 09:08:14 -0400

gazelle-installer (18.6.2) mx; urgency=medium

  * Fix crash, enable back button on some steps

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Jun 2018 18:08:05 -0400

gazelle-installer (18.6.1) mx; urgency=medium

  * modified libcmd callouts (adrian)

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 01 Jun 2018 06:55:30 -0400

gazelle-installer (18.5.4) mx; urgency=medium

  * adjust chown command

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 26 May 2018 16:38:55 -0400

gazelle-installer (18.5.3) unstable; urgency=medium

  *  use libcmd to call gparted...fix to video corruption issue

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 09 May 2018 21:34:08 -0400

gazelle-installer (18.5.2) unstable; urgency=medium

  * working on making POPULATE_MEDIA_MOUNTPOINTS configurable with btrfs changes 
  * moved rc.local.install and live-to-install scripts to data deb

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 30 Apr 2018 20:13:53 -0400

gazelle-installer (18.5.1) unstable; urgency=medium

  * more btrfs options

 -- anticapitalista <antix@operamail.com>  Tue, 24 Apr 2018 19:27:25 +0300

gazelle-installer (18.4.11) mx; urgency=medium

  * switch to gazelle-installer source base

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 16 Apr 2018 20:43:30 -0400

mx-installer (18.4.10) mx; urgency=medium

  * added nvme mmcblk device detection
  * added backup esp finder function 

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 16 Apr 2018 19:19:46 -0400

mx-installer (18.4.09) mx; urgency=medium

  * added Desktop/Installer.desktop to live-to-installed 

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 14 Apr 2018 19:46:31 -0400

mx-installer (18.4.08) mx; urgency=medium

  * modified keyboard setup so that multiple keyboards stay enabled 

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 14 Apr 2018 19:22:29 -0400

mx-installer (18.4.07mx17) mx; urgency=medium

  * tweak to memain.ui 

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 14 Apr 2018 12:31:47 -0400

mx-installer (18.4.06mx17) mx; urgency=medium

  *  text changes

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 13 Apr 2018 22:52:04 -0400

mx-installer (18.4.05mx17) mx; urgency=medium

  * misc. changes to sync up antiX/mx installs
  * new live-to-installed script 
  * incorporating changes from anticapitalista 

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 13 Apr 2018 18:38:35 -0400

mx-installer (18.4.04mx17) mx; urgency=medium

  * misc. changes for antiX/mx  

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 11 Apr 2018 21:33:42 -0400

mx-installer (18.4.03mx17) mx; urgency=medium

  *  new services module (adrian)

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 08 Apr 2018 20:08:53 -0400

mx-installer (18.4.01mx17) mx; urgency=medium

  * heavy modification in effort to make customizations easier
  * 32 bit UEFI installer 
  * installer.conf file

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 06 Apr 2018 21:42:55 -0400

mx-installer (18.3.01mx17) mx; urgency=medium

  * adjusted filter for root partitions

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 25 Mar 2018 13:02:23 -0500

mx-installer (18.3mx17) mx; urgency=medium

  * adjusted filter for root partitions

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Mar 2018 12:29:31 -0500

mx-installer (18.2mx17+1) mx; urgency=medium

  * set root partition bootable when install GRUB on MBR

 -- Adrian <adrian@mxlinux.org>  Sat, 24 Feb 2018 16:07:17 -0500

mx-installer (18.2mx17) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Feb 2018 22:43:35 -0500

mx-installer (17.12mx17+1) mx; urgency=medium

  * rename 'demo' string in dconf/user

 -- Adrian <adrian@mxlinux.org>  Thu, 14 Dec 2017 21:51:47 -0500

mx-installer (17.12mx17) mx; urgency=medium

  * rename 'demo' string in conky config file

 -- Adrian <adrian@mxlinux.org>  Sun, 10 Dec 2017 13:24:18 -0500

mx-installer (17.11mx17+2) mx; urgency=medium

  * UI fixes

 -- Adrian <adrian@mxlinux.org>  Tue, 07 Nov 2017 18:56:01 -0500

mx-installer (17.11mx17+1) mx; urgency=medium

  * new build

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Nov 2017 13:50:53 -0500

mx-installer (17.11mx17) mx; urgency=medium

  * UI tweaks

 -- Adrian <adrian@mxlinux.org>  Thu, 02 Nov 2017 09:15:50 -0400

mx-installer (17.10.02mx17) mx; urgency=medium

  * UI tweaks

 -- Adrian <adrian@mxlinux.org>  Thu, 26 Oct 2017 12:30:53 -0400

mx-installer (17.10.01) mx; urgency=medium

  * timezone setup change

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 25 Oct 2017 08:01:28 -0400
 
 mx-installer (17.10mx17) mx; urgency=medium

  * resizable installer window

 -- Adrian <adrian@mxlinux.org>  Sat, 14 Oct 2017 17:08:05 -0400

mx-installer (17.9) mx; urgency=medium

  * generalize name for root partition and for GRUB installation

 -- Adrian <adrian@mxlinux.org>  Thu, 28 Sep 2017 14:41:58 -0400

mx-installer (17.7.02) mx; urgency=medium

  * change in fstab setup to match antiX

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 24 Sep 2017 07:55:28 -0400

mx-installer (17.7.01) mx; urgency=medium

  * minor change to timezone settings

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 13 Sep 2017 18:55:28 -0400

mx-installer (17.7mx16) mx; urgency=medium

  * select first drive by default

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Jul 2017 12:16:28 -0400

mx-installer (17.6mx16+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sun, 04 Jun 2017 00:28:58 -0400

mx-installer (17.6mx16) mx; urgency=medium

  * added boot flags for GPT and MBR

 -- Adrian <adrian@mxlinux.org>  Thu, 01 Jun 2017 17:46:33 -0400

mx-installer (17.5.03mx16) mx; urgency=medium

  * blank mbr when creating msdos partition table

 -- dolphinoracle <dolphinoracle@gmail.com1>  Wed, 31 May 2017 12:30:54 -0400

mx-installer (17.5.02mx16) mx; urgency=medium

  * added pop up message about encrypting swap 

 -- dolphinoracle <dolphinoracle@gmail.com1>  Wed, 31 May 2017 06:48:54 -0400

mx-installer (17.5.01mx16) mx; urgency=medium

  * backdrop for mx16.1

 -- dolphinoracle <dolphinoracle@gmail.com>  Thu, 11 May 2017 23:45:21 -0400

mx-installer (17.5mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Thu, 11 May 2017 23:08:21 -0400

mx-installer (17.4mx16+5) mx; urgency=medium

  * added /home encryption option

 -- Adrian <adrian@mxlinux.org>  Wed, 26 Apr 2017 19:48:09 -0400

mx-installer (17.4mx16+4) mx; urgency=medium

  * bug fix

 -- Adrian <adrian@mxlinux.org>  Wed, 26 Apr 2017 18:47:13 -0400

mx-installer (17.4mx16+3) mx; urgency=medium

  * fixed autoinstall bug intruduced by previous change

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Apr 2017 18:18:02 -0400

mx-installer (17.4mx16+2) mx; urgency=medium

  * don't select a root device by default (might be Windows or another Linux installation)

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Apr 2017 13:18:05 -0400

mx-installer (17.4mx16+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 12 Apr 2017 12:47:27 -0400

mx-installer (17.4mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 08 Apr 2017 15:00:50 -0400

mx-installer (17.3mx16+1) mx; urgency=medium

  * added warning for 32bit UEFI booting

 -- Adrian <adrian@mxlinux.org>  Thu, 23 Mar 2017 17:02:38 -0400

mx-installer (17.3mx16) mx; urgency=medium

  * use GPT when using default partitioning

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Mar 2017 20:42:33 -0500

mx-installer (17.2mx16) mx; urgency=medium

  * new translations, removed partitionmanager from recommends

 -- Adrian <adrian@mxlinux.org>  Wed, 08 Feb 2017 19:30:57 -0500

mx-installer (17.1mx16) mx; urgency=medium

  * added message box if it doesn't start because another instance is running

 -- Adrian <adrian@mxlinux.org>  Sat, 21 Jan 2017 18:51:03 -0500

mx-installer (16.11mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Nov 2016 13:15:17 -0500

mx-installer (16.10mx16+5) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 28 Oct 2016 08:33:33 -0400

mx-installer (16.10mx16+3) mx; urgency=medium

  * start with sudo -E and small text fixes

 -- Adrian <adrian@mxlinux.org>  Thu, 27 Oct 2016 13:49:39 -0400

mx-installer (16.10mx16+2) mx; urgency=medium

  * text changes 

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Oct 2016 10:06:19 -0400

mx-installer (16.10mx16+1) mx; urgency=medium

  * changed GUI

 -- Adrian <adrian@mxlinux.org>  Sun, 16 Oct 2016 10:51:15 -0400

mx-installer (16.10mx16) mx; urgency=medium

  * changed URLs

 -- Adrian <adrian@mxlinux.org>  Fri, 14 Oct 2016 11:10:57 -0400

mx-installer (16.9mx15) mx; urgency=medium

  * reset blueman conf before copying over

 -- Adrian <adrian@mxlinux.org>  Sun, 11 Sep 2016 16:39:40 -0400

mx-installer (16.6mx15) mx; urgency=medium

  * removed boot-directory for ESP

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2016 08:29:15 -0400

mx-installer (16.3mx15) mx; urgency=medium

  * added boot-directory=/boot/efi for ESP install

 -- Adrian <adrian@mxlinux.org>  Sun, 20 Mar 2016 11:30:22 -0400

mx-installer (16.1.2mx15+1) mx; urgency=medium

  * localize repos

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Jan 2016 13:26:37 -0500

mx-installer (16.1.2mx15) mx; urgency=medium

  * fix, add /dev before device name

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Jan 2016 08:29:38 -0500

mx-installer (16.1.1mx15) mx; urgency=medium

  * add support for long device names, such as /dev/mmcblk0p1

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Jan 2016 15:14:06 -0500

mx-installer (16.1mx15) mx; urgency=medium

  * fix for partition selection for EFI systems, filter out partitions < 4000 MB

 -- Adrian <adrian@mxlinux.org>  Sun, 03 Jan 2016 15:14:55 -0500

mx-installer (15.12.3mx15) mx; urgency=medium

  * disable NFS service on installed system if not running

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Dec 2015 16:10:40 -0500

mx-installer (15.12.2mx15) mx; urgency=medium

  * disable VirtualBox additions when not installing in VB

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Dec 2015 09:47:28 -0500

mx-installer (15.12.1mx15) mx; urgency=medium

  * eliminates error message on 64bit installed system

 -- Adrian <adrian@mxlinux.org>  Wed, 09 Dec 2015 22:41:08 -0500

mx-installer (15.12mx15) mx; urgency=medium

  * included guess-hwclock, partition-info

 -- Adrian <adrian@mxlinux.org>  Thu, 03 Dec 2015 10:52:57 -0500

mx-installer (15.11.12mx15) mx; urgency=medium

  * added --target=i386-pc to grub-install

 -- Adrian <adrian@mxlinux.org>  Mon, 23 Nov 2015 09:24:42 -0500

mx-installer (15.11.11mx15) mx; urgency=medium

  * fix HDD detection code

 -- Adrian <adrian@mxlinux.org>  Sun, 22 Nov 2015 10:45:43 -0500

mx-installer (15.11.10mx15) mx; urgency=medium

  * changed HDD detection code

 -- Adrian <adrian@mxlinux.org>  Sun, 22 Nov 2015 00:07:33 -0500

mx-installer (15.11.9mx15) mx; urgency=medium

  * fix home configuration issue

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Nov 2015 19:20:25 -0500

mx-installer (15.11.8mx15) mx; urgency=medium

  * minor clock format change

 -- Adrian <adrian@mxlinux.org>  Fri, 13 Nov 2015 14:59:21 -0500

mx-installer (15.11.7mx15) mx; urgency=medium

  * added clock format selection

 -- Adrian <adrian@mxlinux.org>  Wed, 11 Nov 2015 13:44:46 -0500

mx-installer (15.11.6mx15) mx; urgency=medium

  * Fix partition automounting issue

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Nov 2015 10:10:33 -0500

mx-installer (15.11.5mx15) mx; urgency=medium

  * include rc.local.install to revert to 'empty' rc.local on installation

 -- anticapitalista <antiX@operamail.com>  Sun, 08 Nov 2015 11:16:00 +0200


mx-installer (15.11.4mx15) mx; urgency=medium

  * set ESP default when booted from UEFI

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Nov 2015 20:00:53 -0500

mx-installer (15.11.3mx15) mx; urgency=medium

  * live-to-installed edit

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Nov 2015 11:21:47 -0500

mx-installer (15.11.2mx15) mx; urgency=medium

  * allow GRUB installation on MBR on GPT drives

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Nov 2015 15:01:30 -0500

mx-installer (15.11mx15) mx; urgency=medium

  * install GRUB on ESP on GPT drives

 -- Adrian <adrian@mxlinux.org>  Sun, 01 Nov 2015 14:25:10 -0500

mx-installer (15.10.8mx15) mx; urgency=medium

  * translations

 -- Adrian <adrian@mxlinux.org>  Wed, 28 Oct 2015 17:32:44 -0400

mx-installer (15.10.7mx15) mx; urgency=medium

  * fixed GRUB installing selection

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Oct 2015 17:09:33 -0400

mx-installer (15.10.6mx15) mx; urgency=medium

  * fixed progress bar, fixed swap

 -- Adrian <adrian@mxlinux.org>  Sat, 24 Oct 2015 00:33:27 -0400

mx-installer (15.10.5mx15) mx; urgency=medium

  * show progress box when installing GRUB

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Oct 2015 20:41:57 -0400

mx-installer (15.10.4mx15) mx; urgency=medium

  * install /home on non-Linux partitions

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Oct 2015 09:27:48 -0400

mx-installer (15.10.3mx15) mx; urgency=medium

  * Fixed window icon 

 -- Adrian <adrian@mxlinux.org>  Sun, 11 Oct 2015 10:23:13 -0400

mx-installer (15.10.2mx15) mx; urgency=medium

  * replaced gtpdospartinfo script with partinfo package

 -- Adrian <adrian@mxlinux.org>  Fri, 09 Oct 2015 17:10:05 -0400

mx-installer (15.10.1mx15) mx; urgency=medium

  * update gptdospartinfo script

 -- Adrian <adrian@mxlinux.org>  Thu, 08 Oct 2015 16:37:04 -0400

mx-installer (15.10mx15) mx; urgency=medium

  * added GPT support

 -- Adrian <adrian@mxlinux.org>  Mon, 05 Oct 2015 17:45:55 -0400

mx-installer (15.7.1mx15) mx; urgency=medium

  * added build-deps

 -- Adrian <adrian@mxlinux.org>  Thu, 09 Jul 2015 21:27:28 -0400

mx-installer (15.7mx15) mx; urgency=medium

  * update to qt5

 -- Adrian <adrian@mxlinux.org>  Tue, 30 Jun 2015 16:11:37 -0400

mx-installer (15.4.1mx14) mx; urgency=medium

  * added translation

 -- Adrian <adrian@mxlinux.org>  Tue, 21 Apr 2015 14:09:35 -0400

mx-installer (15.4mx14) mx; urgency=medium

  * protection agains running the program multiple times

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Apr 2015 20:18:29 -0400

mx-installer (15.2.1) mx; urgency=medium

  * copy /home directory when installing a snapshot-backup

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Feb 2015 10:10:30 -0500

mx-installer (15.2) mx; urgency=medium

  * GUI fixes, added saving live desktop when installing

 -- Adrian <adrian@mxlinux.org>  Mon, 16 Feb 2015 19:13:15 -0500

mx-installer (15.1) mx; urgency=medium

  * added editing for disk labels

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Jan 2015 12:50:02 -0500

mx-installer (0.2.3) unstable; urgency=low 
   
  * installer adds boot parameters.
  * changed code for replacing sting in /etc/default/grub.
  * replaced single quotes with double in sed.
  * disable automount in Thunar.
  * services screen is hidden and called by 'Advanced' button.
  * modified location view Services button.
  * changed translation location to match other mx tools.
  * changed MX-14 to MX Linux and other strings.
  * changed minstall_ to mx-installer_ in app.cpp.
  * added .qm files and added Japanes in src.pro.

 -- anticapitalista <antiX@operamail.com>  Sun, 09 Nov 2014 22:14:00 +0200


mx-installer (0.2.2) unstable; urgency=low 
 
  * Removed condition in setting btrfs file system and added -f option. 

 -- anticapitalista <antiX@operamail.com>  Sun, 29 Jun 2014 11:30:00 +0200


mx-installer (0.2.1) unstable; urgency=low 
 
  * Disk warning text changed again.
  * New localisations.

 -- anticapitalista <antiX@operamail.com>  Fri, 27 Jun 2014 20:20:00 +0200


mx-installer (0.2.0) unstable; urgency=low 
 
  * Changed disk warning text.

 -- anticapitalista <antiX@operamail.com>  Sun, 22 Jun 2014 13:30:00 +0200


mx-installer (0.1.9) unstable; urgency=low 
 
  * fixed GUI problem selecting installing GRUB on boot.
  * added info about disks in combobox.
  * copy skel/.local and skel/.config to saved home but do not overwrite.
  * added option to install snapshot ISOs
  * fixed checkDisk.
  * exit installer at the end.
  * added descriptions for services.
  * changed size of columns.
  * scrollbar added.
  * remove /etc/skel/Desktop  
  * Japanese localisation added.
  
 -- anticapitalista <antiX@operamail.com>  Sun, 08 Jun 2014 19:50:00 +0200


mx-installer (0.1.8) unstable; urgency=low 
 
  * Changed focus policy for button on screen 3.

 -- anticapitalista <antiX@operamail.com>  Fri, 21 Mar 2014 13:40:00 +0200


mx-installer (0.1.7) unstable; urgency=low 
 
  * Removed all code relating to buildfstab.
  * Remove /etc/skel/Desktop folder.

 -- anticapitalista <antiX@operamail.com>  Fri, 14 Mar 2014 18:30:00 +0200


mx-installer (0.1.6) unstable; urgency=low 
 
  * Fixed issues with sv translation.
  * New Romanian and Dutch translation.
  * If us/gb/uk keyboard selected, only use that ie remove us,us.
  * set swap (if any) using make-fstab script;
  * use dev2uuid_fstab script to rebuild /etc/fstab for uuid
  * removed rc.local.live - no longer needed.

 -- anticapitalista <antiX@operamail.com>  Thu, 27 Feb 2014 18:10:00 +0200


mx-installer (0.1.5) unstable; urgency=low 
 
  * Added checks to hostname.
  * New translations including Romanian and Swedish.

 -- anticapitalista <antiX@operamail.com>  Fri, 20 Feb 2014 21:40:00 +0200


mx-installer (0.1.4) unstable; urgency=low 
 
  * Localisation completed.
  * Added winbind and haveged to startup on/off options.

 -- anticapitalista <antiX@operamail.com>  Tue, 11 Feb 2014 16:40:00 +0200


mx-installer (0.1.3) unstable; urgency=low 
 
  * Changes to localisation (incomplete).
  * Added hard disk check.
  * Added show passwords.
  * Code cleaned up.

 -- anticapitalista <antiX@operamail.com>  Mon, 03 Feb 2014 18:40:00 +0200


mx-installer (0.1.2) unstable; urgency=low 
 
  * Minor changes to comments and translations.

 -- anticapitalista <antiX@operamail.com>  Tue, 28 Jan 2014 15:40:00 +0200


mx-installer (0.1.1) unstable; urgency=low 
 
  * Added ability for separate /home on different drive.

 -- anticapitalista <antiX@operamail.com>  Wed, 22 Jan 2014 12:30:00 +0200


mx-installer (0.1.0) unstable; urgency=low 
 
  * Initial Release.

 -- anticapitalista <antiX@operamail.com>  Mon, 13 Jan 2014 22:30:00 +0200

